CitrixZone (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.citrix.CitrixZone interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.citrix
Interface CitrixZone

All Superinterfaces:
  Collection, ConfigurationItem, ManagedElement, ModelObject, java.io.Serializable

    public interface CitrixZone

extends Collection, ConfigurationItem

Naming Rules:
  0="farm,zoneName"
Persistable:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`CitrixServer` | `getDataCollector()`
`CitrixFarm` | `getFarm()`
`int` | `getNumServersInZone()`
`CitrixServer[]` | `getServers()`
`java.lang.String` | `getZoneName()`
`boolean` | `hasDataCollector()`
`boolean` | `hasFarm()`
`boolean` | `hasNumServersInZone()`
`boolean` | `hasServers()`
`boolean` | `hasZoneName()`
`void` | `setDataCollector(CitrixServer x)`
`void` | `setFarm(CitrixFarm x)`
`void` | `setNumServersInZone(int x)`
`void` | `setServers(CitrixServer[] x)`
`void` | `setZoneName(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDataCollector

    CitrixServer getDataCollector()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDataCollector

    void setDataCollector(CitrixServer x)

### hasDataCollector

    boolean hasDataCollector()

### getServers

    CitrixServer[] getServers()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setServers

    void setServers(CitrixServer[] x)

### hasServers

    boolean hasServers()

### getFarm

    CitrixFarm getFarm()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setFarm

    void setFarm(CitrixFarm x)

### hasFarm

    boolean hasFarm()

### getNumServersInZone

    int getNumServersInZone()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumServersInZone

    void setNumServersInZone(int x)

### hasNumServersInZone

    boolean hasNumServersInZone()

### getZoneName

    java.lang.String getZoneName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setZoneName

    void setZoneName(java.lang.String x)

### hasZoneName

    boolean hasZoneName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD